/* ************************************** */
/*   Ex-1 pic16f84a program LED TEST-1    */
/* ************************************** */
#include <16f84a.H>           // include file set
#fuses HS,NOWDT,PUT,NOPROTECT // device config set
#use Delay(Clock=20000000)    //cpu speed 20MHz set

#byte port_a=5        // port_a address set 5 bank0
#byte port_b=6	       // port_b address set 6 bank0

io_set(){              // io set program
  set_tris_a(0x1f);    // port_a = input
  set_tris_b(0x00);    // port_b = output
}

main() {
  io_set();	  // i/o port set
  while(1) {          // endless LOOP
    port_b=0x00;      // port_b => 00000000
    delay_ms(300);    // wait 300msec
    port_b=0xff;      // port_b => 11111111
    delay_ms(300);    // wait 300msec
  }
}
