/* ********************************************* */
/*   Ex-3 pic16f84a program  LED@increment set  */
/* ********************************************* */
#include <16f84a.H>            // include file set
#fuses HS,NOWDT,PUT,NOPROTECT  // device config set
#use Delay(Clock=20000000)     // cpu speed 20MHz set
#byte port_a=5	       // port_a address set 5 bank0
#byte port_b=6	       // port_b address set 6 bank0
io_set(){               // io set program
  set_tris_a(0x1f);     // port_a = input
  set_tris_b(0x00);     // port_b = output
}
main() {
  int n;                // n integer
  io_set();	    // i/o port set
  port_b=0x00;          // port_b => 0b00000000
  while(input(PIN_A0)); // pin A0(=PA0) key on start
                        // key on=[0] off=[1]
  while(1) {
    for(n=0;n<=255;n++){   // LOOP n=0 to n=255
      port_b = n;           // port_b <= n
      delay_ms(100);        // wait 100msec
    }
  }
}
