/* ************************************ */
/*   Ex-4 pic16f84a program  LED@flsh  */
/* ************************************ */
#include <16f84a.H>            // include file set
#fuses HS,NOWDT,PUT,NOPROTECT  // device config set
#use Delay(Clock=20000000)     // cpu speed 20MHz set
#byte port_a=5	       // port_a address set 5 bank0
#byte port_b=6	       // port_b address set 6 bank0
int const led[8]={0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80};
io_set(){               // io set program
  set_tris_a(0x1f);     // port_a = input
  set_tris_b(0x00);     // port_b = output
}
main() {
  int a,i;              // a,i integer
  io_set();	    // i/o port set
  while(1) {
    a=~port_a & 0x03;
    if(a==0x01){
      for(i=0;i<=7;i++){port_b = led[i]; delay_ms(200);}
    }
    else if(a==0x02){
      for(i=8;i>0;i--){port_b = led[i-1]; delay_ms(200);}
    }
    else {port_b=0x00;delay_ms(200);}
  }
}
